Subject: Re: [PATCH] run-command: mark file-local symbols static

From: Ramsay Jones <[email-masked]>
Date: Sat, 18 Jun 2016 01:58:09 +0100

On 18/06/16 00:33, Jeff King wrote:
> On Fri, Jun 17, 2016 at 10:01:24PM +0100, Ramsay Jones wrote:
> 
>> If you need to re-roll your 'jk/gpg-interface-cleanup' branch, could
>> you please squash this into the relevant patch (commit 74287e34,
>> "run-command: add pipe_command helper", 16-06-2016).
> 
> Thanks, yes.
> 
>> BTW, also on that branch, commit 6fec0a89 ("verify_signed_buffer: use
>> tempfile object", 16-06-2016) removes the last use of the git_mkstemp()
>> function. Should it be removed?
> 
> I think so. We still have git_mkstemp_mode and friends, so in that sense
> this is part of a family of commands that somebody might use again. But:
> 
>   1. Unlike the others in the family, where we implement mkstemp
>      ourselves, this one uses the system mkstemp. Which probably behaves
>      in totally the same way, but it's kind of weird and oddball.
> 
>   2. I think we should be steering people towards tempfile.c anyway, for
>      its auto-cleanup properties.
> 
> Want to do a patch on top?

OK, will do. (tomorrow, it is 2am here ...)

ATB,
Ramsay Jones